import flowService from '@/webflow/flow-service'
import routerService from '@/common/services/router-service'

// 指标定时任务列表
routerService.routeInFrame('kpi-job-list', {
  component: './job/kpi-job-list.vue',
})

// 定时采集配置
routerService.routeInFrame('kpi-job-form', {
  component: './job/kpi-job-form.vue',
})

// 指标业务分类
routerService.routeInFrame('kpi-busicategory-list', {
  component: './busicategory/kpi-busicategory-list.vue',
})

// 指标定义列表
routerService.routeInFrame('kpi-indi-list', {
  component: './def/kpi-indi-list.vue',
})

// 指标定义表单
routerService.routeInFrame('kpi-indi-form', {
  component: './def/kpi-indi-form.vue',
})

// 指标检测列表
routerService.routeInFrame('kpi-monitor-list', {
  component: './monitor/kpi-monitor-list.vue',
})

// 指标报送任务列表
routerService.routeInFrame('kpi-indi-task-list', {
  component: './task/kpi-indi-task-list.vue',
})

// 指标报送任务表单
flowService.addFlowForm('vue:kpi/task/kpiIndiTask', './task/kpi-indi-task-form.vue')

// 指标检测列表-趋势分析
routerService.routeInFrame('kpi-trend-analysis', {
  component: './monitor/report/kpi-trend-analysis.vue',
})

// 指标检测列表-杜邦分析
routerService.routeInFrame('kpi-du-pont-analysis', {
  component: './monitor/duPont/kpi-du-pont-analysis.vue',
})

// 指标分析
routerService.routeInFrame('kpi-analysis-form', {
  component: './analysis/kpi-analysis-form.vue',
})

// 指标报送任务表单
flowService.addFlowForm('vue:kpi/order/kpiAlertOrder', './alertOrder/kpi-alert-order-form.vue')

// 指标预警单
routerService.routeInFrame('kpi-alert-order-list', {
  component: './alertOrder/kpi-alert-order-list.vue',
})

// 指标组检测列表
routerService.routeInFrame('kpi-group-monitor-list', {
  component: './groupMonitor/kpi-group-monitor-list.vue',
})

// 指标组定义列表
routerService.routeInFrame('kpi-indicator-group-list', {
  component: './indicatorGroup/kpi-indicator-group-list.vue',
})

// 指标组定义表
routerService.routeInFrame('kpi-indicator-group-form', {
  component: './indicatorGroup/kpi-indicator-group-form.vue',
})
